org.codehaus.groovy.control

## Class Janitor

- java.lang.Object
- - org.codehaus.groovy.control.Janitor

All Implemented Interfaces:
  HasCleanup

    public class Janitor
    extends java.lang.Object
    implements HasCleanup

An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

Author:
  Chris Poirier

### Constructor Summary

Constructors
Constructor and Description
`Janitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cleanup()`
`void` `register(HasCleanup object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Janitor

    public Janitor()

### Method Detail

#### register

    public void register(HasCleanup object)

#### cleanup

    public void cleanup()

Specified by:
  `cleanup` in interface `HasCleanup`